<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Signup Form</title>
    <script src="https://code.jquery.com/jquery-git.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>
    <style>
        .modal {
            border: 1px grey solid;
            background-color: grey;
            color: blue;
            display: none;
        }

        .modalcontent {
            border: 1px grey solid;
            background-color: grey;
            color: blue;
        }

        .open {
            display: block;
        }

        form {
            margin: auto;
        }

        .container {


            width: 300px;
            margin: auto;
            border: 3px solid #67696d;
            padding: 10px;
            background-color: rgb(230, 185, 192);
        }

        td {
            color: rgb(63, 6, 65);
            font-weight: bold;
        }

        .s {
            background-color: blanchedalmond;
            color: rgb(187, 9, 69);
            width: 100px;
            height: 40px;
            font-weight: bold;
        }
    </style>

</head>

<body>
    <div class="container">
        <h1 style="color: red;text-align: center;">Signup Form</h1>
        <form id="form1">
            <table>
                <tr>
                    <td>FirstName:</td>
                    <td><input type="text" name="fname" id="fname"></td>

                </tr>
                <tr>
                    <td></td>
                    <td><span id="fnameerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>LastName:</td>
                    <td><input type="text" name="lname" id="lname"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="lnameerr" style="color: red;"></span></td>
                </tr>
                <tr>
                <tr>
                    <td>Email:</td>
                    <td><input type="email" name="email" id="email"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="emerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>PhoneNumber:</td>
                    <td><input type="text" name="phone" id="phone"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="pherr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Gender:</td>
                    <td><input type="radio" class="gender" name="gender" id="male" value="male">Male
                        <input type="radio" class="gender" name="gender" id="female" value="female">Female
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="geerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>State:</td>
                    <td><select name="state" id="state">
                            <option value=""></option>
                            <option value="TamilNadu">TamilNadu</option>
                            <option value="Kerala">Kerala</option>
                            <option value="Goa">Goa</option>
                        </select></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="seerr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td></td>
                    <td><input type="checkbox" name="subscribe" value="Subscribe" id="s">Subscribe</td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="serr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Password:</td>
                    <td><input type="password" name="pwd" id="pwd"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="perr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td>Confirm Password:</td>
                    <td><input type="password" name="cpp" id="cpp"></td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="cpperr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td><input type="checkbox" name="term" id="term"></td>
                    <td>
                        <p id="terms">Agree Terms and conditions</p><br><br>
                    </td>
                </tr>
                <tr>
                    <td></td>
                    <td><span id="aterr" style="color: red;"></span></td>
                </tr>
                <tr>
                    <td></td>
                    <td>
                        <div class="modal">
                            <div class="modalcontent">
                                <p id="mod">Please Ensure about terms and conditions</p>
                                <p id="mod">Check all details and agree</p>
                                <button id="close">close</button>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td> </td>
                    <td><input class="s" type="button" name="submit" value="Sign Up" id="submit"></td>
                </tr>

            </table>
        </form>
    </div>



</body>
<script>

    $("#terms").click(function () {
        $(".modal").show();


    });
    $("#close").click(function () {
        $(".modal").hide();
    });
    $("#submit").click(function () {
        var flag=false;
        var fname = $("#fname").val();
        var lname = $("#lname").val();
        var email = $("#email").val();
        var phn = $("#phone").val();
        var gender=$('input[name="gender"]:checked').val();
       //alert(gender);
       var state = $("#state option:selected").val();
        var p = $("#pwd").val();
        var cpwd = $("#cpp").val();
      
      


       validatefname();
        validatelname();
        validateemail();
        validateph();
        validategender();
        validatestate();
        validatesubscribe();
        validatepassword();
        validatecpassword();
        validateterms();
       



    // $("#fname").mouseleave(function () {
    //     validatefname();
    // });
    // $("#lname").mouseleave(function () {
    //     validatelname();
    // });
    // $("#email").mouseleave(function () {
    //     validateemail();
    // });
    // $("#phone").mouseleave(function () {
    //     validateph();
    // });
    // $(".gender").mouseleave(function () {
    //     validategender();
    // });
    // $("#state").mouseleave(function () {
    //     validatestate();
    // });
    // $("#s").mouseleave(function () {
    //     validatesubscribe();
    // });
    // $("#pwd").mouseleave(function () {
    //     validatepassword();
    // });
    // $("#cpp").mouseleave(function () {
    //     validatecpassword();
    // });
    // $("#term").mouseleave(function () {

    //     validateterms();
    // });

    function validatefname() {
        
        var regex = /^[A-Za-z]+$/;
        var isValid = regex.test(fname);
        //alert(fname);
        if (fname.length == " ") {
            $("#fnameerr").html("Name Empty");
            flag=true;
        }
        else if (!isValid) {
            $("#fnameerr").html("Name only contain alphabets ");
            flag=true;

        }
    }
    function validatelname() {
        
        var regex = /^[A-Za-z]+$/;
        var isValid = regex.test(lname);

        if (lname.length == " ") {
            $("#lnameerr").html("LastName Empty");flag=true;
        }
        else if (!isValid) {
            $("#lnameerr").html("LastName only contain alphabets ");
            flag=true;

        }
    }
    function validateemail() {
        
        var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
        if (email.length == " ") {
            $("#emerr").html("Enter email id");
            flag=true;
        }
        else if (!emailReg.test(email)) {
            $("#emerr").html("Enter valid email");
            flag=true;
        }
    }
    function validateph() {
        
        var phregx = /^[0-9-+]+$/;
        if (phn.length == " ") {
            $("#pherr").html("Enter phonenumber");
            flag=true;
        }
        else if (!phregx.test(phn)) {
            $("#pherr").html("Only contain numbers");
            flag=true;

        }

    }
    function validategender() {


        var isValid = $("input[name=gender]").is(":checked");
        if (!isValid) {
            $("#geerr").html("Select a gender");
            flag=true;
        }
    }
    function validatestate() {
       
        if (state.length == " ") {
            $("#seerr").html("Select one state");
            flag=true;
        }
        

    }
    function validatesubscribe() {
        var s = $("#s").prop("checked");
        if (!s) {
            $("#serr").html("Tick Subscribe");
            flag=true;
        }
    }
    function validatepassword() {
       
        if (p.length == " ") {
            $("#perr").html("Enter password");
            flag=true;
        }
        else if (p.length < 10) {
            $("#perr").html("Password must contain 10 characters");
            flag=true;
        }
    }
    function validatecpassword() {
       
        if (cpwd.length == " ") {
            $("#cpperr").html("Enter password");
            flag=true;
        }
        else if (p!=cpwd) {
            //alert(p+","+cpwd);
            $("#cpperr").html("Password not matching");
            flag=true;

        }
    }
    function validateterms() {
        var s = $("#term").prop("checked");
        if (!s) {
            $("#aterr").html("Tick box to agree");
            flag=true;
        }
    }

    if(flag==false)
    {
        var formdatas=[];
       formdatas.push(fname);
       formdatas.push(lname);
       formdatas.push(email);
       formdatas.push(phn);
       formdatas.push(gender);
       formdatas.push(state);
       formdatas.push(p);
       formdatas.push(cpwd);
       var string = JSON.stringify(formdatas);

    
    console.log(string);


    $.ajax({
        type: "POST",
                url: "https://jsonplaceholder.typicode.com/posts",
                dataType: "json",
                success: function () {
                    
  
                  console.log("Post successfully created");
                },
                error: function () {
                    console.log("Post not created.");
                }
    });
       


    }
    else{
        alert("Validation gone false.Please check it.");
    }






    
    });













</script>

</html>
